"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.proxyStringToObject = exports.agentFromProxy = exports.loadProxyFromEnv = void 0;
const https_proxy_agent_1 = require("https-proxy-agent");
const _ = __importStar(require("lodash"));
const url = __importStar(require("url"));
function parseAuth(authString) {
    // authString may be a falsy value like `null`
    const [username, password] = (authString || '').split(':');
    return { username, password };
}
function proxyStringToObject(proxyString) {
    if (!proxyString.startsWith('http')) {
        return proxyStringToObject(`http://${proxyString}`);
    }
    const { hostname: host, port: portString, auth: authString, protocol } = url.parse(proxyString);
    const auth = parseAuth(authString);
    const port = _.toInteger(portString);
    const isHttps = protocol === 'https:';
    if (!auth.username) {
        return { host, port, isHttps };
    }
    return {
        host,
        port,
        auth,
        isHttps
    };
}
exports.proxyStringToObject = proxyStringToObject;
// TODO: should use @types/node ProcessEnv interface
function loadProxyFromEnv(env) {
    const proxyString = env['https_proxy'] ||
        env['HTTPS_PROXY'] ||
        env['http_proxy'] ||
        env['HTTP_PROXY'] ||
        env['CONTENTFUL_PROXY'];
    // Delete all potential proxy keys `axios` might use
    delete env['http_proxy'];
    delete env['HTTP_PROXY'];
    delete env['https_proxy'];
    delete env['HTTPS_PROXY'];
    if (!proxyString) {
        return;
    }
    env['CONTENTFUL_PROXY'] = proxyString;
    return proxyStringToObject(proxyString);
}
exports.loadProxyFromEnv = loadProxyFromEnv;
function agentFromProxy(proxy) {
    if (!proxy) {
        return {};
    }
    const { host, port, auth } = proxy;
    let agentAuth;
    if (auth) {
        const { username, password } = auth;
        agentAuth = `${username}:${password}`;
    }
    const agent = new https_proxy_agent_1.HttpsProxyAgent({ host, port, auth: agentAuth });
    return { httpsAgent: agent };
}
exports.agentFromProxy = agentFromProxy;
//# sourceMappingURL=proxy.js.map