"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntryFieldPurgeAction = void 0;
const action_1 = require("./action");
class EntryFieldPurgeAction extends action_1.APIAction {
    constructor(contentTypeId, fieldId) {
        super();
        this.contentTypeId = contentTypeId;
        this.fieldId = fieldId;
    }
    async applyTo(api) {
        const entries = await api.getEntriesForContentType(this.contentTypeId);
        for (const entry of entries) {
            delete entry.fields[this.fieldId];
        }
    }
}
exports.EntryFieldPurgeAction = EntryFieldPurgeAction;
//# sourceMappingURL=entry-field-purge.js.map