"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const schema_validator_1 = __importDefault(require("./schema-validator"));
const Joi = __importStar(require("joi"));
class ContentTransformIntentValidator extends schema_validator_1.default {
    constructor() {
        super(...arguments);
        this.article = 'a';
        this.displayName = 'content transformation';
    }
    appliesTo(step) {
        return step.isContentTransform();
    }
    // NOTE: this could be change to return the object to
    // validate against the schema instead of returning
    // just the prop name
    get propertyNameToValidate() {
        return 'transformation';
    }
    get schema() {
        return {
            contentType: Joi.string().required(),
            from: Joi.array().items(Joi.string()).required(),
            to: Joi.array().items(Joi.string()).required(),
            transformEntryForLocale: Joi.func().required(),
            shouldPublish: Joi.alternatives().try(Joi.boolean(), Joi.string().valid('preserve'))
        };
    }
}
exports.default = ContentTransformIntentValidator;
//# sourceMappingURL=content-transform.js.map